<?php
// No direct access to this file
defined('_JEXEC') or die;
 
/**
 * MassContent component helper.
 */
abstract class MassContentHelper
{
	/**
	 * Configure the Linkbar.
	 */
	public static function addSubmenu($submenu) 
	{
/*		JSubMenuHelper::addEntry(JText::_('COM_MASSCONTENT_SUBMENU_MASSCONTENT'), 'index.php?option=com_masscontent&view=masscontent', $submenu == 'masscontent');
		// set some global property
		$document = JFactory::getDocument();
		$document->addStyleDeclaration('.icon-48-masscontent {background-image: url(../media/com_masscontent/images/tux-48x48.png);}');
		if ($submenu == 'categories') 
		{
			$document->setTitle(JText::_('COM_MASSCONTENT_ADMINISTRATION_CATEGORIES'));
		}*/
	}
	/**
	 * Get the actions
	 */
	public static function getActions($messageId = 0)
	{
/*		$user	= JFactory::getUser();
		$result	= new JObject;
 
		if (empty($messageId)) {
			$assetName = 'com_masscontent';
		}
		else {
			$assetName = 'com_masscontent.message.'.(int) $messageId;
		}
 
		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.delete'
		);
 
		foreach ($actions as $action) {
			$result->set($action,	$user->authorise($action, $assetName));
		}
 
		return $result;
	}*/
}
